osmo_dlsap_prim Struct Reference
LAPD implementation common part

primitive header for LAPD DL-SAP primitives More...

`#include <lapd_core.h>`

## Data Fields

struct osmo_prim_hdr | oph
| generic primitive header More...
union {
struct mdl_error_ind_param error_ind
struct dl_rel_req_param rel_req
} | u
| request-specific data More...

## Detailed Description

primitive header for LAPD DL-SAP primitives

## Field Documentation

## error_ind

struct mdl_error_ind_param osmo_dlsap_prim::error_ind

Referenced by mdl_error(), and send_rslms_dlsap().

## oph

struct osmo_prim_hdr osmo_dlsap_prim::oph

generic primitive header

Referenced by lapd_data_req(), lapd_est_req(), lapd_recv_dlsap(), lapd_reestablish(), lapd_rel_req(), lapd_rel_req_idle(), lapd_res_req(), lapd_susp_req(), lapd_udata_req(), mdl_error(), rslms_rx_rll_data_req(), rslms_rx_rll_est_req(), rslms_rx_rll_rel_req(), rslms_rx_rll_res_req(), rslms_rx_rll_susp_req(), send_dl_l3(), and send_rslms_dlsap().

## rel_req

struct dl_rel_req_param osmo_dlsap_prim::rel_req

Referenced by lapd_rel_req(), and rslms_rx_rll_rel_req().

## u

union { ... } osmo_dlsap_prim::u

request-specific data

Referenced by lapd_rel_req(), mdl_error(), rslms_rx_rll_rel_req(), and send_rslms_dlsap().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapd_core.h